Subject: Re: Gen-ART Telechat review of draft-turner-asymmetrickeyformat-05

From: Alfred Hönes <[email-masked]>
Date: Sun, 18 Apr 2010 17:47:34 +0200 (MESZ)

Roni Even wrote:
> ...
>   2. The document defines new object identifiers like
>      id-ct-KP-aKeyPackage and AsymmetricKeyPackageModuleV1.
>      Where is the list of these identifiers kept and how do you
>      update this list in order to guarantee the uniqueness of these
>      identifiers.

For the first identifier mentioned above, it looks like it is in an
OID branch delegated to and managed by NIST.

Many other OIDs used in PKIX and S/MIME documents are drawn from
the OID branch delegated to the PKIX WG and maintained (AFAIK)
by Russ Housley at <http://www.imc.org/ietf-pkix/pkix-oid.asn> .

That page says:
    -- If you need an OID assigned, please send mail to
       [email-masked].

Unfortunately, during the re-homing of the PKIX WG's mailing list
from IMC.ORG to IETF.ORG, the previously highly visible link to this
repository has been lost last year.

Is there a similar list for CMS/SMIME OIDs, or is the whole CMS/SMIME
tree still maintained by RSA ?

I'd wish that some of the IETF tools pages related to the PKIX and
S/MIME WGs be amended with a link to the related OID table(s),
and that IANA also amends the /protocols/ page with a link to
these OID branches, with unambiguous title, e.g.:
  "PKIX Object Identifiers (delegated to PKIX WG)"
etc.

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+